Retrieve agent details
View as MarkdownReturns a single registered agent with trust explainability details.
Full description
Returns a single registered agent with trust explainability details. Search-only ranking scores are not included.
Path Parameters
agentId*string
Unique agent identifier.
Query Parameters
profile?string
Scoring profile name (default: default).
Header Parameters
X-Request-Id?string
Optional request identifier propagated across services.
Format
uuidResponse Body
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
curl -X GET "https://example.com/v1/ans/registered-agents/string"{ "agentId": "string", "indexedAt": "2019-08-24T14:15:22Z", "leafIndex": 0, "lifecycle": { "status": "ACTIVE" }, "agentDescription": "string", "agentDisplayName": "string", "agentHost": "string", "agentVersion": "string", "ansName": "string", "logId": "string", "providerId": "string", "endpoints": [ { "agentUrl": "string", "documentationUrl": "string", "metaDataUrl": "string", "metaDataHash": "string", "protocol": "A2A", "transports": [ "HTTP" ], "functions": [ { "id": "string", "name": "string", "tags": [ "string" ] } ] } ], "trustScore": 0, "trustVector": { "identity": 0, "integrity": 0 }, "missingness": { "requiredSignals": [ "string" ], "missingSignals": [ "string" ], "penalties": { "identity": 0, "integrity": 0 } }, "coverage": { "computedPillars": [ "string" ], "coverageRatio": 0.1 }, "signals": { "property1": { "computedAt": "2019-08-24T14:15:22Z", "evidence": {}, "pillar": "string", "score": 0, "missing": true }, "property2": { "computedAt": "2019-08-24T14:15:22Z", "evidence": {}, "pillar": "string", "score": 0, "missing": true } }}Last updated on
How is this guide?